# nomad-service-fixers

A few check and fixer scripts to clean up services in my running instances.

These make use of [requests-unixsocket](https://github.com/msabramo/requests-unixsocket) so that they can target the workload API from within a Nomad task.

Included scripts:

* `./nomad_missing_services.py`: Looks for running allocs who's services appear to have dissapeared.
* `./nomad_orphan_services.py`: Looks for services who's allocs appear to have dissapeared.

This is on DockerHub as `iamthefij/nomad-service-fixers`.
